#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SQL
%define		pnam	Abstract
Summary:	SQL::Abstract - generate SQL from Perl data structures
Summary(pl.UTF-8):	SQL::Abstract - generujący SQL z perlowych struktur danych
Name:		perl-SQL-Abstract
Version:	1.77
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4e7af7304a5e6c89e1e23582c7d6b657
URL:		http://search.cpan.org/dist/SQL-Abstract/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Clone) >= 0.31
BuildRequires:	perl-Class-Accessor-Grouped >= 0.10002
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-Getopt-Long-Descriptive >= 0.091
BuildRequires:	perl-Hash-Merge >= 0.12
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Deep >= 0.106
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Warn
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module was inspired by the excellent DBIx::Abstract. However, in
using the module I found that what I wanted to do was generate SQL,
but still retain complete control over my statement handles and use
the DBI interface. So, I set out to create an abstract SQL generation
module.

%description -l pl.UTF-8
Ten moduł był zainspirowany wspaniałym DBIx::Abstract. Jest to moduł
do abstrakcyjnego tworzenia SQL, pozwalający na pełną kontrolę nad
wyrażeniami i używanie interfejsu DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/SQL/Abstract

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/format-sql
#{perl_vendorlib}/DBIx/Class/Storage/Debug/PrettyPrint.pm
%dir %{perl_vendorlib}/SQL/Abstract
%{perl_vendorlib}/SQL/*.pm
%{perl_vendorlib}/SQL/Abstract/Tree.pm
%{perl_vendorlib}/SQL/Abstract/Test.pm
%{_mandir}/man3/*
%changelog
* Sat Jan 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-SQL-Abstract.git;a=log;h=master

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 3df8d3b
- up to 1.77

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 7e7e18f
- more BRs; rel 3

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 2a25f64
- release 2

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> c2bb5d2
- up to 1.72

* Fri Oct 09 2009 amateja <amateja@pld-linux.org> eab7ee8
- updated to 1.60

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> ade5ec5
- updated to 1.58
- added BRs for tests
- added %doc
- added missing file in %files section

* Mon Mar 02 2009 radek <radek@pld-linux.org> c7f0ed1
- version 1.24

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 585cdc3
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d7ba809
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dd96922
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 68d3c78
- rel 1, generic url

* Fri Aug 11 2006 Maciej Pijanka <agaran@pld-linux.org> 14392f2
- up to 1.21, rel 0.1, builds here

* Tue Oct 11 2005 migo <migo@pld-linux.org> e29b770
- up to 1.20
- add dir for submodules into package

* Mon Jun 13 2005 petec <petec@pld-linux.org> f6e03c1
- up to 1.19

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f6fbd97
- formatting

* Sun Sep 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 9689cab
- updated to 1.17

* Thu May 06 2004 ankry <ankry@pld-linux.org> b751145
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> 90d42f6
- license fixed, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 9f58327
- cosmetics, unification

* Sat Nov 08 2003 migo <migo@pld-linux.org> 5dee2bd
- up to 1.15, new bcond style

